%define oname xmlschema

%ifnarch ppc64le
%def_with check
%else
%def_without check
%endif
%def_without memory_profiler

Name: python3-module-%oname
Version: 4.1.0
Release: alt1

Summary: XML Schema validator and data conversion library

License: MIT
Group: Development/Python3
URL: https://pypi.org/project/xmlschema
VCS: https://github.com/sissaschool/xmlschema

BuildArch: noarch

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)
BuildRequires: python3(elementpath)
BuildRequires: python3(lxml)

%if_with check
BuildRequires: /proc
BuildRequires: python3(tox)
# these are optional
%{?memory_profiler BuildRequires: python3-module-memory_profiler}
BuildRequires: python3-module-mypy
BuildRequires: python3-module-jinja2
# lxml-stubs is not packaged yet
%endif

%description
The xmlschema library is an implementation of XML Schema for Python.

%prep
%setup
sed -i 's/license = "MIT"/license = {file = "LICENSE"}/' pyproject.toml
sed -i '/license-files/d' pyproject.toml

%build
%pyproject_build

%install
%pyproject_install

%check
# Increase verbosity of check
sed -i 's/unittest/unittest -v/' tox.ini
%tox_check_pyproject

%files
%doc LICENSE README.rst
%_bindir/xmlschema-json2xml
%_bindir/xmlschema-validate
%_bindir/xmlschema-xml2json
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info

%changelog
* Wed Jun 25 2025 Grigory Ustinov <grenka@altlinux.org> 4.1.0-alt1
- Automatically updated to 4.1.0.

* Mon Apr 14 2025 Grigory Ustinov <grenka@altlinux.org> 4.0.1-alt1
- Automatically updated to 4.0.1.

* Fri Apr 11 2025 Grigory Ustinov <grenka@altlinux.org> 4.0.0-alt1
- Automatically updated to 4.0.0.

* Tue Mar 25 2025 Grigory Ustinov <grenka@altlinux.org> 3.4.5-alt1
- Automatically updated to 3.4.5.

* Tue Mar 18 2025 Grigory Ustinov <grenka@altlinux.org> 3.4.4-alt1
- Automatically updated to 3.4.4.

* Thu Oct 31 2024 Grigory Ustinov <grenka@altlinux.org> 3.4.3-alt1
- Automatically updated to 3.4.3.

* Wed Oct 30 2024 Grigory Ustinov <grenka@altlinux.org> 3.4.2-alt1.1
- Make memory_profiler in check optional.

* Wed Sep 25 2024 Grigory Ustinov <grenka@altlinux.org> 3.4.2-alt1
- Automatically updated to 3.4.2.

* Tue Jul 30 2024 Grigory Ustinov <grenka@altlinux.org> 3.3.2-alt1
- Automatically updated to 3.3.2.

* Tue Apr 30 2024 Grigory Ustinov <grenka@altlinux.org> 3.3.1-alt1
- Automatically updated to 3.3.1.

* Fri Apr 19 2024 Grigory Ustinov <grenka@altlinux.org> 3.3.0-alt1
- Automatically updated to 3.3.0.

* Tue Apr 09 2024 Grigory Ustinov <grenka@altlinux.org> 3.2.1-alt1
- Automatically updated to 3.2.1.

* Thu Mar 28 2024 Grigory Ustinov <grenka@altlinux.org> 3.2.0-alt1
- Automatically updated to 3.2.0.

* Wed Apr 26 2023 Grigory Ustinov <grenka@altlinux.org> 2.2.3-alt1
- Automatically updated to 2.2.3.

* Tue Mar 07 2023 Grigory Ustinov <grenka@altlinux.org> 2.2.2-alt1
- Automatically updated to 2.2.2.

* Sun Feb 12 2023 Grigory Ustinov <grenka@altlinux.org> 2.2.1-alt1
- Build new version.

* Mon Mar 30 2020 Andrey Bychkov <mrdrew@altlinux.org> 1.1.2-alt2
- Requires fixed.

* Mon Mar 30 2020 Andrey Bychkov <mrdrew@altlinux.org> 1.1.2-alt1
- Version updated to 1.1.2.

* Thu Feb 20 2020 Andrey Bychkov <mrdrew@altlinux.org> 1.0.13-alt2
- Build for python2 disabled.

* Sat Aug 17 2019 Stanislav Levin <slev@altlinux.org> 1.0.13-alt1
- Initial build.

